My Project

- Main Page
- Related Pages
- Modules
- Classes
- Files

All Classes Files Functions Typedefs Groups Pages
Modules | Classes | Functions
Core API

Some essential things. More...

## Modules
| Touch Event
| How to attach(or detach) callback function called when touch event occurs.

## Classes
class | NexObject
class | NexUpload

## Functions
bool | nexInit (void)
void | nexLoop (NexTouch *nex_listen_list[])

## Detailed Description

Some essential things.

## Function Documentation

bool nexInit | ( | void |  | ) |

Init Nextion.

Returns
  true if success, false for failure.

void nexLoop | ( | NexTouch * | nex_listen_list[] | ) |

Listen touch event and calling callbacks attached before.

Supports push and pop at present.

Parameters

  nex_listen_list | - index to Nextion Components list.

Returns
  none.

Warning
  This function must be called repeatedly to response touch events from Nextion touch panel. Actually, you should place it in your loop function.